| Flutter iOS Embedder |

Public Member Functions | Public Attributes | List of all members
flutter::testing::MockAccessibilityBridgeNoWindow Class Reference

`#include <SemanticsObjectTestMocks.h>`

Inheritance diagram for flutter::testing::MockAccessibilityBridgeNoWindow:

## Public Member Functions
| MockAccessibilityBridgeNoWindow ()
bool | isVoiceOverRunning () const override
UIView * | view () const override
UIView< UITextInput > * | textInputView () override
void | DispatchSemanticsAction (int32_t id, SemanticsAction action) override
void | DispatchSemanticsAction (int32_t id, SemanticsAction action, fml::MallocMapping args) override
void | AccessibilityObjectDidBecomeFocused (int32_t id) override
void | AccessibilityObjectDidLoseFocus (int32_t id) override
NSString * | GetDefaultLocale () override
FlutterPlatformViewsController * | GetPlatformViewsController () const override
Public Member Functions inherited from flutter::AccessibilityBridgeIos
virtual | ~AccessibilityBridgeIos ()=default
virtual void | DispatchSemanticsAction (int32_t id, flutter::SemanticsAction action)=0
virtual void | DispatchSemanticsAction (int32_t id, flutter::SemanticsAction action, fml::MallocMapping args)=0

## Public Attributes
std::vector< SemanticsActionObservation > | observations
bool | isVoiceOverRunningValue

## Detailed Description

Definition at line 66 of file SemanticsObjectTestMocks.h.

## Constructor & Destructor Documentation

## ◆ MockAccessibilityBridgeNoWindow()

flutter::testing::MockAccessibilityBridgeNoWindow::MockAccessibilityBridgeNoWindow | ( |  | ) |
| inline

Definition at line 68 of file SemanticsObjectTestMocks.h.

68 : observations({}) {
69 view_ = [[UIView alloc] initWithFrame:kScreenSize];
70 }
initWithFrame
instancetype initWithFrame
Definition: FlutterTextInputPlugin.h:179
kScreenSize
const CGRect kScreenSize
Definition: SemanticsObjectTestMocks.h:10
flutter::testing::MockAccessibilityBridgeNoWindow::observations
std::vector< SemanticsActionObservation > observations
Definition: SemanticsObjectTestMocks.h:88

## Member Function Documentation

## ◆ AccessibilityObjectDidBecomeFocused()

void flutter::testing::MockAccessibilityBridgeNoWindow::AccessibilityObjectDidBecomeFocused | ( | int32_t | id | ) |
| inline override virtual

A callback that is called when a SemanticObject receives focus.

The input id is the uid of the newly focused SemanticObject.

Implements flutter::AccessibilityBridgeIos.

Definition at line 84 of file SemanticsObjectTestMocks.h.

84 {}

## ◆ AccessibilityObjectDidLoseFocus()

void flutter::testing::MockAccessibilityBridgeNoWindow::AccessibilityObjectDidLoseFocus | ( | int32_t | id | ) |
| inline override virtual

A callback that is called when a SemanticObject loses focus

The input id is the uid of the newly focused SemanticObject.

Implements flutter::AccessibilityBridgeIos.

Definition at line 85 of file SemanticsObjectTestMocks.h.

85 {}

## ◆ DispatchSemanticsAction() [1/2]

void flutter::testing::MockAccessibilityBridgeNoWindow::DispatchSemanticsAction | ( | int32_t | id,
|  | SemanticsAction | action
| ) |  |
| inline override

Definition at line 74 of file SemanticsObjectTestMocks.h.

74 {
75 SemanticsActionObservation observation(id, action);
76 observations.push_back(observation);
77 }

References observations.

## ◆ DispatchSemanticsAction() [2/2]

void flutter::testing::MockAccessibilityBridgeNoWindow::DispatchSemanticsAction | ( | int32_t | id,
|  | SemanticsAction | action,
|  | fml::MallocMapping | args
| ) |  |
| inline override

Definition at line 78 of file SemanticsObjectTestMocks.h.

80 {
81 SemanticsActionObservation observation(id, action, args);
82 observations.push_back(observation);
83 }

References observations.

## ◆ GetDefaultLocale()

NSString* flutter::testing::MockAccessibilityBridgeNoWindow::GetDefaultLocale | ( |  | ) |
| inline override virtual

Implements flutter::AccessibilityBridgeIos.

Definition at line 86 of file SemanticsObjectTestMocks.h.

86 { return nil; }

## ◆ GetPlatformViewsController()

FlutterPlatformViewsController* flutter::testing::MockAccessibilityBridgeNoWindow::GetPlatformViewsController | ( |  | ) | const
| inline override virtual

Implements flutter::AccessibilityBridgeIos.

Definition at line 87 of file SemanticsObjectTestMocks.h.

87 { return nil; }

## ◆ isVoiceOverRunning()

bool flutter::testing::MockAccessibilityBridgeNoWindow::isVoiceOverRunning | ( |  | ) | const
| inline override virtual

Implements flutter::AccessibilityBridgeIos.

Definition at line 71 of file SemanticsObjectTestMocks.h.

71 { return isVoiceOverRunningValue; }
flutter::testing::MockAccessibilityBridgeNoWindow::isVoiceOverRunningValue
bool isVoiceOverRunningValue
Definition: SemanticsObjectTestMocks.h:89

References isVoiceOverRunningValue.

## ◆ textInputView()

UIView<UITextInput>* flutter::testing::MockAccessibilityBridgeNoWindow::textInputView | ( |  | ) |
| inline override virtual

Implements flutter::AccessibilityBridgeIos.

Definition at line 73 of file SemanticsObjectTestMocks.h.

73 { return nil; }

## ◆ view()

UIView* flutter::testing::MockAccessibilityBridgeNoWindow::view | ( |  | ) | const
| inline override virtual

Implements flutter::AccessibilityBridgeIos.

Definition at line 72 of file SemanticsObjectTestMocks.h.

72 { return view_; }

## Member Data Documentation

## ◆ isVoiceOverRunningValue

bool flutter::testing::MockAccessibilityBridgeNoWindow::isVoiceOverRunningValue

Definition at line 89 of file SemanticsObjectTestMocks.h.

Referenced by isVoiceOverRunning().

## ◆ observations

std::vector<SemanticsActionObservation> flutter::testing::MockAccessibilityBridgeNoWindow::observations

Definition at line 88 of file SemanticsObjectTestMocks.h.

Referenced by DispatchSemanticsAction().

The documentation for this class was generated from the following file:

- shell/platform/darwin/ios/framework/Source/SemanticsObjectTestMocks.h